gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. To be added System.Object
- Method
  System.UInt32 `` `` `` `` `` `` Registers a function to be called when a condition becomes true on a file descriptor. an , a file descriptor. an , the condition. an , the function to call. a , the marshaller to use instead of the function (if non-null). a , callback data passed to the function. a , the callback function to call with "data" when the input handler is removed, or null. a , a unique id for the event source; to be used with .
- Method
  System.Void `` Removes the function with the given id. a identifying the function to remove, provided by .
- Constructor
  Basic constructor.
  a